Page MenuHomeFreeBSD

Update Qt to 5.6.2
ClosedPublic

Authored by adridg on Oct 12 2016, 5:13 PM.

Details

Reviewers
tcberner
emaste
rakuco
mat
Group Reviewers
O5: Ports Framework(Owns No Changed Paths)
portmgr
Commits
rP424842: Update Qt to 5.6.2 [1,2]
Summary

This updates Qt 5.6.1 to Qt 5.6.2 (both of them LTS). Original work by tcberner, adjusted to Qt 5.6.2 final by me.

Test Plan

Needs build of devel/qt5, devel/py-qt5 to get started; after that probably one or more of the bigger Qt5 consumers (qupzilla in particular).

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 5620
Build 5890: arc lint + arc unit

Event Timeline

adridg updated this revision to Diff 21311.Oct 12 2016, 5:13 PM
adridg retitled this revision from to Update Qt to 5.6.2.
adridg updated this object.
adridg edited the test plan for this revision. (Show Details)
adridg added reviewers: rakuco, tcberner, mat.
adridg set the repository for this revision to rP FreeBSD ports repository.
adridg added a subscriber: kde.
tcberner added inline comments.Oct 12 2016, 5:21 PM
devel/qmake5/Makefile
55

I think this is no longer needed. mkspecs/unsupported/freebsd-g++46 no longer exists.

tcberner added inline comments.Oct 12 2016, 5:27 PM
misc/qt5-examples/Makefile
7

this should again be changed to official_releases =)

mat edited edge metadata.Oct 13 2016, 8:36 AM

If you can't use arcanist for some reason to upload your diffs, could you at least upload them the same way it does, with a lot of context (svn diff --diff-cmd=diff -x -U9999 or git diff -U9999)

adridg marked 2 inline comments as done.Oct 13 2016, 6:47 PM
adridg added inline comments.
misc/qt5-examples/Makefile
7

Also QT5_SUBDIR is not defined anywhere, so I've removed that.

adridg updated this revision to Diff 21365.Oct 13 2016, 7:00 PM
adridg marked an inline comment as done.
adridg edited edge metadata.

Update Qt to 5.6.2 (v2)

  • Addressed tcberner@'s comments
  • This revision done with arc, per mat@'s comment
tcberner added inline comments.Oct 13 2016, 8:08 PM
misc/qt5-examples/Makefile
7–8

There seem to be spaces instead of tabs between on the MASTER_SITES= line.

adridg updated this revision to Diff 21385.Oct 14 2016, 10:02 AM
adridg edited edge metadata.

Update Qt to 5.6.2 (v3)

Addressed tabs-vs-spaces in qt5-examples/Makefile

Owners edited edge metadata.Oct 14 2016, 10:02 AM
tcberner accepted this revision.Oct 14 2016, 10:38 AM
tcberner edited edge metadata.
rakuco edited edge metadata.Oct 15 2016, 7:44 AM

The only thing I don't understand is why devel/qmake5/files/patch-mkspecs__features__qt_functions.prf was removed, as the code we were patching is still present upstream.

adridg updated this revision to Diff 21419.Oct 15 2016, 11:16 AM
adridg edited edge metadata.

Update Qt to 5.6.2 (v4)

  • Removed a now-empty directory
  • Restored patch Rakuco pointed out as missing (thanks tcberner@)
Owners edited edge metadata.Oct 15 2016, 11:16 AM
adridg marked 2 inline comments as done.Oct 15 2016, 11:17 AM

Mark things as done that were resolved by v3 and v4 patches.

tcberner accepted this revision.Oct 15 2016, 8:06 PM
tcberner edited edge metadata.
rakuco accepted this revision.Oct 15 2016, 10:00 PM
rakuco edited edge metadata.

looks good to me too. the next step is filing an exp-run request to test the patch

emaste added a subscriber: emaste.Nov 2 2016, 5:16 PM

rP424842 says

Still Importing...
This commit is still importing. Changes will be visible once the import finishes.

rP424842 says

Still Importing...
This commit is still importing. Changes will be visible once the import finishes.

@emaste : Should we simply close it now? Or is there anything else to do?

emaste added a comment.Nov 3 2016, 3:29 PM

Yes you can just close this review. The PR will track the Phabricator importer issue.

tcberner accepted this revision.Nov 3 2016, 3:33 PM

Thanks :)

Hm, it refuses to be closed

You can not close this revision because it has not been accepted. You can only close accepted revisions.
emaste accepted this revision.Nov 3 2016, 3:35 PM
emaste added a reviewer: emaste.

Let me try accepting again

emaste added a comment.Nov 3 2016, 3:36 PM

Oh, I think it needs the 'blocking reviewers' to accept

mat accepted this revision.Nov 3 2016, 3:43 PM
mat edited edge metadata.

That's my cue.

This revision is now accepted and ready to land.Nov 3 2016, 3:43 PM
tcberner closed this revision.Nov 3 2016, 4:35 PM